# utils.py
#
# author: deng
# date  : 20250604

import yaml


def parse_config(config_path: str) -> dict:
    """Config parser

    Args:
        config_path (str): path of config yaml.

    Returns:
        dict: configuration dictionary
    """
    with open(config_path, 'r', encoding='utf-8') as file:
        config = yaml.safe_load(file)
    return config