# test_utils.py
#
# author: deng
# date  : 20250604

from translator.utils import parse_config


class TestUtils:
    def test_parse_config(self) -> None:
        config = parse_config('tests/test_config.yaml')
        assert isinstance(config, dict)
        assert 'test' in config
        assert 'key1' in config['test']
        assert 'key2' in config['test']
        assert config['test']['key1'] == 'value1'
        assert config['test']['key2'] == 'value2'